<?php

namespace RUMCWV;

if (!defined('ABSPATH')) {
    die('Let\'s not do this');
}


function WPRUM_autoload($className)
{


    $aClassMap = array(



        'RUMCWV\RUMCWV_Rum'                 => 'lib/rum.php',
        'RUMCWV\RUMCWV_Options'                => 'lib/options.php',
        'RUMCWV\RUMCWV_Dashboard'          => 'lib/dashboard.php',
        'RUMCWV\RUMCWV_RumDB'               => 'lib/db_rum.php', 

        /* admin */
        'RUMCWV\RUMCWV_Settings'          => 'admin/settings.php',
        'RUMCWV\RUMCWV_Install'           => 'admin/install.php',


    );

    if (isset($aClassMap[$className])) {
        require_once(RUM_CWV_PLUGIN_PATH . $aClassMap[$className]);

        // static constructor
        if (method_exists($className, '__constructStatic')) {
            $className::__constructStatic();
        }
    }
}


spl_autoload_register('RUMCWV\WPRUM_autoload');
